Upgrade plugin under wp 33.1

I am trying to install the upgrades plugin on a wp3.3.1 install. I do not have and do not want multi-site.

When I activate the plugin i get this error message: plugin has invalid header

I see the plugin installed in my plugin list, i can activate it but nothing shows on the menu.

Please help!